Summary: interactive function grapher
Summary(fr): traceur de fonctions interactif
Name: mathplot
Version: 0.7.3
Release: 1mdk
Copyright: GPL
Group: Sciences/Mathematics
Url: http://www.chez.com/prigaux/mathplot.html
Source: ftp://sunsite.unc.edu/pub/Linux/science/visualization/plotting/mathplot-%version.src.tar.bz2
Source4: %{name}.menu
BuildRoot: /tmp/mathplot
BuildRequires: ocaml >= 3.00

%description
mathplot is a GUI frontend  for  interactive  graphing  of
functions.   mathplot2ps  is  a  batch program to generate
PostScript output.

You can have both equations (y=f(x)  or  f(x,y)=g(x))  and
inequations.  For inequations, mathplot hatches the inter-
section. For example, with y>0, y<x and x<2 it hatches the
solution which is a triangle.
You  can name a point, anywhere or on a function.  You can
ask for the tangent of a function.
As it uses a symbolic library,  you  can  enter  functions
like "x+1/y=2".
Can  find  root (zeros), extrema (even symbolically, some-
times) and intersection of 2 functions.
mathplot exports in PostScript so that you can print  eas-
ily, and with the reference mark (O, i, j).
You  can  save  and  load files. mathplot2ps can transform
these files into PostScript.
It's written in OCaml using the Tk  toolkit  for  the  GUI
frontend

%description -l fr
mathplot est un programme interactif pour tracer des fonctions.
mathplot2ps est un filtre gnrant du PostScript.

On peut donner  la fois des quations (y=f(x) ou mme f(x,y)=g(x))
et des inquations. Pour les inquations, mathplot hachure l'intersection.
Par exemple, pour y>0, y<x et x<2 il hachure la solution, ici un triangle.
On peut nommer des points appartenant ou non  une fonction.
On peut demander la tangente en un point d'une fonction.
Comme mathplot utilise une librairie de calcul symbolique, il est
capable de tracer les fonctions du type "x+1/y=2".
Trouve les racines, les extremas (des fois, il trouve mme la solution
exacte symboliquement) et les points d'intersections de fonctions.
mathplot exporte en PostScript pour pouvoir imprimer, et il indique le
repre (O, i, j) (s'il est visible :)
Possibilit de sauvegarder et relire des fichiers.

mathplot est crit en OCaml + Tk


%prep
%setup -n %{name}

%build
CFLAGS="$RPM_OPT_FLAGS" make prefix=/usr docs bin 

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install

install -d $RPM_BUILD_ROOT/usr/share/icons/{mini,large}
convert icons/mathplot-icon.gif $RPM_BUILD_ROOT/usr/share/icons/mathplot.xpm
convert icons/mathplot-icon-large.gif $RPM_BUILD_ROOT/usr/share/icons/large/mathplot.xpm
convert icons/mathplot-icon-mini.gif $RPM_BUILD_ROOT/usr/share/icons/mini/mathplot.xpm

install -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/menu/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-, root, root)
/usr/bin/*
/usr/lib/%{name}*
/usr/man/*/*
/usr/lib/menu/*
/usr/share/icons/%{name}*
/usr/share/icons/*/*

%changelog
* Wed May  3 2000 Pixel <pixel@mandrakesoft.com> 0.7.3-1mdk
- new version using labltk
- added icons for menu

* Wed Mar 29 2000 Pixel <pixel@mandrakesoft.com> 0.7.2-5mdk
- add menu

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.7.2-4mdk
- new group + cleanup

* Mon Dec  6 1999 Pixel <pixel@linux-mandrake.com>
- rebuild with ocaml 2.04

* Fri Nov 26 1999 Pixel <pixel@linux-mandrake.com>
- rebuild with ocaml 2.03

* Tue Nov 23 1999 Pixel <pixel@linux-mandrake.com>
- 0.7.2

